image: mcr.microsoft.com/dotnet/core/sdk:3.1-alpine

stages:
  - test
  - publish

before_script:
  - apk add make sed
  - make deps-install

test:
  stage: test
  tags: [docker]
  script: make test

publish:
  stage: publish
  tags: [docker]
  only: [tags]
  artifacts:
    when: always
    paths:
      - JsonApiSerializer/bin/Debug
  script:
    - make version="${CI_COMMIT_TAG}" tag
    - make build
    - make version="${CI_COMMIT_TAG}" api_key="${NUGET_API_KEY}" publish
